# [main]
<div class="header">
<a class="title" href="?p=%project%&a=commitdiff&h=%hash%">%message% %refs%</a>
</div>
<div class="title_text">
<table class="object_header">
	<tr>
		<td>author</td>
		<td>
			<a title="Search for commits authored by %author%" class="list" href="?p=%project%&a=search&h=%hash%&s=%author%&st=author">%author%</a> 
			<a title="Search for commits authored by %author_mail%" class="list" href="?p=%project%&a=search&h=%hash%&s=%author_mail%&st=author">&lt;%author_mail%&gt;</a>
		</td>
		<td rowspan="2"></td>
	</tr>
	<tr>
		<td></td>
		<td> %author_date% (%author_local_date% %author_timezone%)</td>
	</tr>
	<tr>
		<td>committer</td>
		<td>
			<a title="Search for commits committed by %committer%" class="list" href="?p=%project%&a=search&h=%hash%&s=pk910&st=committer">%committer%</a> 
			<a title="Search for commits committed by %committer_mail%" class="list" href="?p=%project%&a=search&h=%hash%&s=%committer_mail%&st=committer">&lt;%committer_mail%&gt;</a>
		</td>
		<td rowspan="2"></td>
	</tr>
	<tr>
		<td></td>
		<td> %committer_date% (%committer_local_date% %committer_timezone%)</td>
	</tr>
	<tr>
		<td>commit</td>
		<td class="sha1">%hash%</td>
		<td class="link">
			<a href="?p=%project%&a=shortlog&h=%hash%">shortlog</a> | <a href="?p=%project%&a=log&h=%hash%">log</a>
		</td>
	</tr>
	<tr>
		<td>tree</td>
		<td class="sha1"><a class="list" href="?p=%project%&a=tree&h=%tree_hash%&hb=%hash%">%tree_hash%</a></td>
		<td class="link">
			<a href="?p=%project%&a=tree&h=%tree_hash%&hb=%hash%">tree</a> | 
			<a title="in format: tar.gz" href="?p=%project%&a=snapshot&h=%hash%&sf=tgz">snapshot</a>
		</td>
	</tr>
%parents%
</table>
</div>
<div class="page_body">
%full_message%<br/>
</div>
%difftree%


# [parent]
	<tr>
		<td>parent</td>
		<td class="sha1"><a class="list" href="?p=%project%&a=commit&h=%hash%">%hash%</a></td>
		<td class="link">
			<a href="?p=%project%&a=commit&h=%hash%">commit</a> | 
			<a href="?p=%project%&a=commitdiff&h=%head%&hp=%hash%">diff</a>
		</td>
	</tr>

# [commit_refs]
<span class="refs"> %refs%</span>

# [commit_ref_head]
<span class="head" title="heads/%name%">%name%</span>

# [commit_ref_remote]
<span class="remote" title="remotes/%name%">%name%</span>

# [commit_ref_tag]
<span class="tag" title="tags/%name%">%name%</span>

# [difftree]
<div class="list_head">
%tree_count%
</div>
<table class="diff_tree%class%">
%tree%
</table>

# [tree_count]
%count% files changed:

# [tree]
<tr class="%class%">
	<td>%file%</td>
	<td>%specials%</td>
	%merge%
	<td class="link">%links%</td>
</tr>

# [tree_merge]
	<td class="link%class%">%links%</td>
# [tree_merge_new]
	<td class="link" align="right"> | </td>
# [tree_merge_blob]
<a href="?p=%project%&a=blob&h=%hash%&f=%file%">blob</a>
# [tree_merge_history]
<a href="?p=%project%&a=history&h=%hash%&f=%file%">history</a>
# [tree_merge_diff]
<a href="?p=%project%&a=blobdiff&h=%hash%&f=%file%&hp=%parent%">diff%id%</a> | 
# [tree_merge_patch_link]
	<td class="link"><a href="#%patch_marker%">patch</a> | </td>


# [tree_file_link]
<a class="list" href="?p=%project%&a=blob&h=%hash%&f=%file%">%file%</a>

# [tree_patch_link]
<a href="#%patch_marker%">patch</a> | 

# [tree_new]
<span class="file_status new">[new %type%]</span>

# [tree_new_file]
<span class="file_status new">[new %type% with mode: %mode%]</span>

# [tree_new_links]
<a href="?p=%project%&a=blob&h=%hash%&f=%file%">blob</a>

# [tree_deleted]
<span class="file_status deleted">[deleted %type%]</span>

# [tree_deleted_links]
<a href="?p=%project%&a=blob&h=%hash%&f=%file%">blob</a> | <a href="?p=%project%&a=history&h=%hash%&f=%file%">history</a>

# [tree_changed]
<span class="file_status mode_chnge">[changed%changes%]</span>
# [tree_changed_type]
 from %from% to %to%
# [tree_changed_mode]
 mode: %from%->%to%
# [tree_changed_mode_to]
 mode: %to%

# [tree_changed_links_diff]
<a href="?p=%project%&a=blobdiff&h=%hash%&f=%file%&hp=%parent%">diff</a> | 
# [tree_changed_links]
<a href="?p=%project%&a=blob&h=%hash%&f=%file%">blob</a> | <a href="?p=%project%&a=history&h=%hash%&f=%file%">history</a>

# [tree_moved]
<span class="file_status moved">[moved from <a class="list" href="?p=%project%&a=blob&f=%file%&h=%hash%">%file%</a> with %similarity% similarity%mode%]</span>
# [tree_copied]
<span class="file_status copied">[copied from <a class="list" href="?p=%project%&a=blob&f=%file%&h=%hash%">%file%</a> with %similarity% similarity%mode%]</span>
# [tree_moved_mode]
, mode: %mode%

# [tree_moved_links_diff]
<a href="?p=%project%&a=blobdiff&h=%hash%&f=src/mod-helpserv.c&hp=%parent%">diff</a> | 
# [tree_moved_links]
<a href="?p=%project%&a=blob&h=%hash%&f=%file%">blob</a> | <a href="?p=%project%&a=history&h=%hash%&f=%file%">history</a>
